Previous 1 2 Next 21 Replies Latest reply: Oct 20, 2008 12:59 PM by LarryHN
dogwalker 2 Level 1 Level 1 (10 points)
Ever since I downloaded Leopard I cannot open my iPhoto.
I get this message.

You cannot use this version of the application iPhoto with this version of Mac OSX.
Any help would be greatly appreciated.

I have tried everything, I even met with a genus at the apple store. Nothing....

powerbook g4, Mac OS X (10.5)
Previous 1 2 Next